# netdots/__init__.py

# Global API key that the user must set.
api_key = None

# (Optional) Expose the internal client if needed.
from .api_client import Netdots

# Dynamically expose integrations from the server
try:
    from server.netdots.oros.integrations import *
except ImportError:
    print("WARNING: Integrations not found. Ensure the server integrations are properly set up.")

__all__ = ["api_key", "Netdots", "integrations"]
